Package com.massivecraft.factions.integration

## Class Essentials

- java.lang.Object
- - com.massivecraft.factions.integration.Essentials

    public class Essentials
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`Essentials()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static boolean` | `handleTeleport​(org.bukkit.entity.Player player, org.bukkit.Location loc)` |
`static boolean` | `isOverBalCap​(EconomyParticipator participator, double amount)` |
`static boolean` | `isVanished​(org.bukkit.entity.Player player)` |
`static void` | `setup()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Essentials

    public Essentials()

### Method Detail

#### setup

    public static void setup()

#### isOverBalCap

    public static boolean isOverBalCap​(EconomyParticipator participator,
                                       double amount)

#### handleTeleport

    public static boolean handleTeleport​(org.bukkit.entity.Player player,
                                         org.bukkit.Location loc)

#### isVanished

    public static boolean isVanished​(org.bukkit.entity.Player player)